(function() {/*

 Library: Inject
 Homepage: https://github.com/jakobo/inject
 License: Apache 2.0 License
*/
/*

 Inject
 Copyright (c) 2011 Jakob Heuser
 Apache Software License 2.0 (see below)

 lscache library (c) 2011 Pamela Fox
 Apache Software License 2.0 (see below)

 Porthole
 Copyright (c) 2011 Ternary Labs
 MIT License (see below)

 JSON
 Public Domain 2011-10-19

 APACHE SOFTWARE LICENSE 2.0
 ===
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 MIT LICENSE
 ===
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/
var Porthole=typeof Porthole=="undefined"||!Porthole?{}:Porthole;
(function(){var a=null;Porthole={trace:function(a){try{console.log("Porthole: "+a)}catch(b){}},error:function(a){try{console.error("Porthole: "+a)}catch(b){}},WindowProxy:function(){}};Porthole.WindowProxy.prototype={postMessage:function(){},addEventListener:function(){},removeEventListener:function(){}};Porthole.WindowProxyLegacy=function(a,b){b===void 0&&(b="");this.targetWindowName=b;this.eventListeners=[];this.origin=window.location.protocol+"//"+window.location.host;a!==null?(this.proxyIFrameName=
this.targetWindowName+"ProxyIFrame",this.proxyIFrameLocation=a,this.proxyIFrameElement=this.createIFrameProxy()):this.proxyIFrameElement=null};Porthole.WindowProxyLegacy.prototype={getTargetWindowName:function(){return this.targetWindowName},getOrigin:function(){return this.origin},createIFrameProxy:function(){var a=document.createElement("iframe");a.setAttribute("id",this.proxyIFrameName);a.setAttribute("name",this.proxyIFrameName);a.setAttribute("src",this.proxyIFrameLocation);a.setAttribute("frameBorder",
"1");a.setAttribute("scrolling","auto");a.setAttribute("width",30);a.setAttribute("height",30);a.setAttribute("style","position: absolute; left: -100px; top:0px;");a.style.setAttribute&&a.style.setAttribute("cssText","position: absolute; left: -100px; top:0px;");document.body.appendChild(a);return a},postMessage:function(a,b){b===void 0&&(b="*");this.proxyIFrameElement===null?Porthole.error("Can't send message because no proxy url was passed in the constructor"):(sourceWindowName=window.name,this.proxyIFrameElement.setAttribute("src",
this.proxyIFrameLocation+"#"+a+"&sourceOrigin="+escape(this.getOrigin())+"&targetOrigin="+escape(b)+"&sourceWindowName="+sourceWindowName+"&targetWindowName="+this.targetWindowName),this.proxyIFrameElement.height=this.proxyIFrameElement.height>50?50:100)},addEventListener:function(a){this.eventListeners.push(a);return a},removeEventListener:function(a){try{this.eventListeners.splice(this.eventListeners.indexOf(a),1)}catch(b){this.eventListeners=[],Porthole.error(b)}},dispatchEvent:function(a){for(var b=
0;b<this.eventListeners.length;b++)try{this.eventListeners[b](a)}catch(d){Porthole.error("Exception trying to call back listener: "+d)}}};Porthole.WindowProxyHTML5=function(a,b){b===void 0&&(b="");this.targetWindowName=b};Porthole.WindowProxyHTML5.prototype={postMessage:function(c,b){b===void 0&&(b="*");a=this.targetWindowName===""?top:parent.frames[this.targetWindowName];a.postMessage(c,b)},addEventListener:function(a){window.addEventListener("message",a,!1);return a},removeEventListener:function(a){window.removeEventListener("message",
a,!1)},dispatchEvent:function(a){var b=document.createEvent("MessageEvent");b.initMessageEvent("message",!0,!0,a.data,a.origin,1,window,null);window.dispatchEvent(b)}};typeof window.postMessage!="function"?(Porthole.trace("Using legacy browser support"),Porthole.WindowProxy=Porthole.WindowProxyLegacy,Porthole.WindowProxy.prototype=Porthole.WindowProxyLegacy.prototype):(Porthole.trace("Using built-in browser support"),Porthole.WindowProxy=Porthole.WindowProxyHTML5,Porthole.WindowProxy.prototype=Porthole.WindowProxyHTML5.prototype);
Porthole.WindowProxy.splitMessageParameters=function(a){if(typeof a=="undefined"||a===null)return null;var b=[],a=a.split(/&/),d;for(d in a){var e=a[d].split("=");b[e[0]]=typeof e[1]=="undefined"?"":e[1]}return b};Porthole.MessageEvent=function(a,b,d){this.data=a;this.origin=b;this.source=d};Porthole.WindowProxyDispatcher={forwardMessageEvent:function(c){c=document.location.hash;if(c.length>0){c=c.substr(1);m=Porthole.WindowProxyDispatcher.parseMessage(c);a=m.targetWindowName===""?top:parent.frames[m.targetWindowName];
var b=Porthole.WindowProxyDispatcher.findWindowProxyObjectInWindow(a,m.sourceWindowName);b?b.origin==m.targetOrigin||m.targetOrigin=="*"?(c=new Porthole.MessageEvent(m.data,m.sourceOrigin,b),b.dispatchEvent(c)):Porthole.error("Target origin "+b.origin+" does not match desired target of "+m.targetOrigin):Porthole.error("Could not find window proxy object on the target window")}},parseMessage:function(a){if(typeof a=="undefined"||a===null)return null;params=Porthole.WindowProxy.splitMessageParameters(a);
var b={targetOrigin:"",sourceOrigin:"",sourceWindowName:"",data:""};b.targetOrigin=unescape(params.targetOrigin);b.sourceOrigin=unescape(params.sourceOrigin);b.sourceWindowName=unescape(params.sourceWindowName);b.targetWindowName=unescape(params.targetWindowName);a=a.split(/&/);if(a.length>3)a.pop(),a.pop(),a.pop(),a.pop(),b.data=a.join("&");return b},findWindowProxyObjectInWindow:function(a,b){a.RuntimeObject&&(a=a.RuntimeObject());if(a)for(var d in a)try{if(a[d]!==null&&typeof a[d]=="object"&&a[d]instanceof
a.Porthole.WindowProxy&&a[d].getTargetWindowName()==b)return a[d]}catch(e){}return null},start:function(){window.addEventListener?window.addEventListener("resize",Porthole.WindowProxyDispatcher.forwardMessageEvent,!1):document.body.attachEvent?window.attachEvent("onresize",Porthole.WindowProxyDispatcher.forwardMessageEvent):Porthole.error("Can't attach resize event")}}})();var lscache=function(){function a(){return Math.floor((new Date).getTime()/6E4)}function c(c,e,f){function g(){try{localStorage.setItem(c+d,a()),f>0?(localStorage.setItem(c+b,a()+f),localStorage.setItem(c,e)):f<0||f===0?(localStorage.removeItem(c+d),localStorage.removeItem(c+b),localStorage.removeItem(c)):localStorage.setItem(c,e)}catch(s){if(s.name==="QUOTA_EXCEEDED_ERR"||s.name=="NS_ERROR_DOM_QUOTA_REACHED"){if(o.length===0&&!n)return localStorage.removeItem(c+d),localStorage.removeItem(c+b),localStorage.removeItem(c),
!1;n&&(n=!1);if(!k){for(var r=0,t=localStorage.length;r<t;r++)if(p=localStorage.key(r),p.indexOf(d)>-1){var u=p.split(d)[0];o.push({key:u,touched:parseInt(localStorage.getItem(p),10)})}o.sort(function(a,b){return a.touched-b.touched});k=!0}if(q=o.shift())localStorage.removeItem(q.key+d),localStorage.removeItem(q.key+b),localStorage.removeItem(q.key);g()}}}var k=!1,n=!0,o=[],p,q;g()}var b="-EXP",d="-LRU",e;try{e=!!localStorage.getItem}catch(f){e=!1}var g=window.JSON!=null;return{set:function(a,b,d){if(e){if(typeof b!=
"string"){if(!g)return;try{b=JSON.stringify(b)}catch(f){return}}c(a,b,d)}},get:function(c){function f(a){if(g)try{return JSON.parse(localStorage.getItem(a))}catch(b){return localStorage.getItem(a)}else return localStorage.getItem(a)}if(!e)return null;if(localStorage.getItem(c+b)){var i=parseInt(localStorage.getItem(c+b),10);if(a()>=i)localStorage.removeItem(c),localStorage.removeItem(c+b),localStorage.removeItem(c+d);else return localStorage.setItem(c+d,a()),f(c)}else if(localStorage.getItem(c))return localStorage.setItem(c+
d,a()),f(c);return null},remove:function(a){if(!e)return null;localStorage.removeItem(a);localStorage.removeItem(a+b);localStorage.removeItem(a+d)}}}();var analyzeFile,anonDefineStack,applyRules,basedir,clearFileRegistry,commentRegex,commonJSFooter,commonJSHeader,context,createIframe,createModule,db,define,defineStaticRequireRegex,dispatchTreeDownload,downloadTree,executeFile,extractRequires,fileStorageToken,fileStore,fileSuffix,functionNewlineRegex,functionRegex,functionSpaceRegex,getFormattedPointcuts,getFunctionArgs,getXHR,hostPrefixRegex,hostSuffixRegex,iframeName,initializeExports,isIE,loadModules,namespace,pauseRequired,processCallbacks,relativePathRegex,
require,requireGreedyCapture,requireRegex,reset,responseSlicer,schemaVersion,sendToIframe,sendToXhr,treeNode,undef,userConfig,userModules,xDomainRpc,_db,__hasProp=Object.prototype.hasOwnProperty,__indexOf=Array.prototype.indexOf||function(a){for(var c=0,b=this.length;c<b;c++)if(this[c]===a)return c;return-1};isIE=eval("/*@cc_on!@*/false");userConfig={};schemaVersion=1;context=this;pauseRequired=!1;_db={};xDomainRpc=null;fileStorageToken="FILEDB";fileStore="Inject FileStorage";namespace="Inject";
userModules={};fileSuffix=/.*?\.(js|txt)$/;hostPrefixRegex=/^https?:\/\//;hostSuffixRegex=/^(.*?)(\/.*|$)/;iframeName="injectProxy";responseSlicer=/^(.+?)[\s]+([\w\W]+?)[\s]+([\w\W]+)$/m;functionRegex=/^[\s\(]*function[^(]*\(([^)]*)\)/;functionNewlineRegex=/\/\/.*?[\r\n]|\/\*(?:.|[\r\n])*?\*\//g;functionSpaceRegex=/\s+/g;requireRegex=/(?:^|[^\w\$_.\(])require\s*\(\s*("[^"\\]*(?:\\.[^"\\]*)*"|'[^'\\]*(?:\\.[^'\\]*)*')\s*\)/g;defineStaticRequireRegex=/^[\r\n\s]*define\(\s*("\S+",|'\S+',|\s*)\s*\[([^\]]*)\],\s*(function\s*\(|{).+/;
requireGreedyCapture=/require.*/;commentRegex=/(\/\*([\s\S]*?)\*\/|([^:]|^)\/\/(.*)$)/mg;relativePathRegex=/^(.\/|..\/).*/;commonJSHeader='(function() {\n  with (window) {\n    var __module = __INJECT_NS__.createModule("__MODULE_ID__", "__MODULE_URI__"),\n        __require = __INJECT_NS__.require,\n        __exe = null;\n    __INJECT_NS__.setModuleExports("__MODULE_ID__", __module.exports)\n    __exe = function(require, module, exports) {\n      __POINTCUT_BEFORE__';commonJSFooter="    __POINTCUT_AFTER__\n  };\n  __INJECT_NS__.defineAs(__module.id);\n  __exe.call(__module, __require, __module, __module.exports);\n  __INJECT_NS__.undefineAs();\n  return __module;\n}\n})();";
db={module:{create:function(a){var c;c=_db.moduleRegistry;if(!c[a])return c[a]={failed:!1,exports:null,path:null,file:null,amd:!1,loading:!1,executed:!1,rulesApplied:!1,requires:[],exec:null,pointcuts:{before:[],after:[]}}},getExports:function(a){var c,b,d;c=_db.moduleRegistry;if(db.module.getFailed(a))return!1;if((b=c[a])!=null&&b.exports)return c[a].exports;return(d=c[a])!=null&&d.exec?(c[a].exec(),c[a].exec=null,c[a].exports):!1},setExports:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);
return b[a].exports=c},getPointcuts:function(a){var c,b;c=_db.moduleRegistry;if((b=c[a])!=null&&b.pointcuts)return c[a].pointcuts},setPointcuts:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);return b[a].pointcuts=c},getRequires:function(a){var c,b;c=_db.moduleRegistry;if((b=c[a])!=null&&b.requires)return c[a].requires},setRequires:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);return b[a].requires=c},getRulesApplied:function(a){var c,b;c=_db.moduleRegistry;return(b=c[a])!=
null&&b.rulesApplied?c[a].rulesApplied:!1},setRulesApplied:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);return b[a].rulesApplied=c},getPath:function(a){var c,b;c=_db.moduleRegistry;return(b=c[a])!=null&&b.path?c[a].path:!1},setPath:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);return b[a].path=c},getFile:function(a){var c,b,d;c=_db.moduleRegistry;b=db.module.getPath(a);b=""+fileStorageToken+schemaVersion+b;if((d=c[a])!=null&&d.file)return c[a].file;if(userConfig.fileExpires===
0)return!1;return(c=lscache.get(b))&&typeof c==="string"&&c.length?(db.module.setFile(a,c),c):!1},setFile:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);b[a].file=c;b=db.module.getPath(a);return lscache.set(""+fileStorageToken+schemaVersion+b,c,userConfig.fileExpires)},clearAllFiles:function(){var a,c,b,d;b=_db.moduleRegistry;d=[];for(c in b)if(__hasProp.call(b,c))a=b[c],a.file=null,d.push(a.loading=!1);return d},getFailed:function(a){var c,b;c=_db.moduleRegistry;return(b=c[a])!=null&&
b.failed?c[a].failed:!1},setFailed:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);return b[a].failed=c},getCircular:function(a){var c,b;c=_db.moduleRegistry;return(b=c[a])!=null&&b.circular?c[a].circular:!1},setCircular:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);return b[a].circular=c},getAmd:function(a){var c,b;c=_db.moduleRegistry;return(b=c[a])!=null&&b.amd?c[a].amd:!1},setAmd:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);return b[a].amd=c},getLoading:function(a){var c,
b;c=_db.moduleRegistry;return(b=c[a])!=null&&b.loading?c[a].loading:!1},setLoading:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);return b[a].loading=c},getExecuted:function(a){var c,b;c=_db.moduleRegistry;return(b=c[a])!=null&&b.executed?c[a].executed:!1},setExecuted:function(a,c){var b;b=_db.moduleRegistry;db.module.create(a);return b[a].executed=c}},txn:{create:function(){var a;a=_db.transactionRegistryCounter++;_db.transactionRegistry[a]=0;return a},add:function(a){return _db.transactionRegistry[a]++},
subtract:function(a){return _db.transactionRegistry[a]--},get:function(a){return _db.transactionRegistry[a]},remove:function(a){_db.transactionRegistry[a]=null;return delete _db.transactionRegistry[a]}},queue:{load:{add:function(a){return _db.loadQueue.push(a)},get:function(){return _db.loadQueue},clear:function(){return _db.loadQueue=[]}},rules:{add:function(a){_db.rulesQueue.push(a);return _db.rulesQueueDirty=!0},get:function(){if(_db.rulesQueueDirty)_db.rulesQueueDirty=!1,_db.rulesQueue.sort(function(a,
c){return c.weight-a.weight});return _db.rulesQueue},size:function(){return _db.rulesQueue.length}},file:{add:function(a,c){_db.fileQueue[a]||(_db.fileQueue[a]=[]);return _db.fileQueue[a].push(c)},get:function(a){return _db.fileQueue[a]?_db.fileQueue[a]:[]},clear:function(a){if(_db.fileQueue[a])return _db.fileQueue[a]=[]}},amd:{add:function(a,c){_db.amdQueue[a]||(_db.amdQueue[a]=[]);return _db.amdQueue[a].push(c)},get:function(a){return _db.amdQueue[a]?_db.amdQueue[a]:[]},clear:function(a){if(_db.amdQueue[a])return _db.amdQueue[a]=
[]}},define:{add:function(a){return _db.defineQueue.unshift(a)},remove:function(){return _db.defineQueue.shift()},peek:function(){return _db.defineQueue[0]}}}};
treeNode=function(){function a(a){this.value=a;this.children=[];this.right=this.left=this.parent=null}a.prototype.getValue=function(){return this.value};a.prototype.addChild=function(a){var b;this.children.length>0&&(b=this.children[this.children.length-1],a.setLeft(b),b.setRight(a));this.children.push(a);return a.setParent(this)};a.prototype.getChildren=function(){return this.children};a.prototype.setLeft=function(a){return this.left=a};a.prototype.getLeft=function(){return this.left};a.prototype.setRight=
function(a){return this.right=a};a.prototype.getRight=function(){return this.right};a.prototype.setParent=function(a){return this.parent=a};a.prototype.getParent=function(){return this.parent};a.prototype.postOrder=function(){var a,b,d;d=[];a=this;for(b=null;a;)if(a.getChildren().length>0&&b!=="up")b="down",a=a.getChildren()[0];else if(d.push(a.getValue()),a.getRight())b="right",a=a.getRight();else if(a.getParent())b="up",a=a.getParent();else return d;return[]};return a}();
reset=function(){_db={moduleRegistry:{},transactionRegistry:{},transactionRegistryCounter:0,loadQueue:[],rulesQueue:[],fileQueue:[],amdQueue:[],defineQueue:[]};return userConfig={moduleRoot:null,fileExpires:1440,xd:{inject:null,xhr:null}}};reset();clearFileRegistry=function(a){var c;a==null&&(a=schemaVersion);if(__indexOf.call(context,"localStorage")>=0){c=""+fileStorageToken+a;for(var b=0;b<localStorage.length;b++){var d=localStorage.key(b);d.indexOf(c)!==-1&&localStorage.removeItem(d)}if(a===schemaVersion)return db.module.clearAllFiles()}};
createIframe=function(){var a,c,b,d;b=userConfig!=null?(c=userConfig.xd)!=null?c.xhr:void 0:void 0;c=userConfig!=null?(a=userConfig.xd)!=null?a.inject:void 0:void 0;if(!b)throw Error("Configuration requires xd.remote to be defined");if(!c)throw Error("Configuration requires xd.local to be defined");d=function(a){return a=a.replace(hostPrefixRegex,"").replace(hostSuffixRegex,"$1")};a=document.createElement("iframe");a.name=iframeName;a.src=b+"#xhr";a.style.width=a.style.height="1px";a.style.right=
a.style.bottom="0px";a.style.position="absolute";a.id=iframeName;document.body.insertBefore(a,document.body.firstChild);xDomainRpc=new Porthole.WindowProxy(userConfig.xd.xhr+"#xhr",iframeName);return xDomainRpc.addEventListener(function(a){var b,c,h;if(d(a.origin)===d(userConfig.xd.xhr))if(a.data==="READY"){xDomainRpc.postMessage("READYREADY");pauseRequired=!1;b=db.queue.load.get();db.queue.load.clear();for(c=0,h=b.length;c<h;c++)a=b[c],a()}else return a=a.data.match(responseSlicer),processCallbacks(a[1],
a[2],a[3])})};getFormattedPointcuts=function(a){var c,b,d,e,f,g;d=db.module.getPointcuts(a);c=[";"];a=[";"];g=d.before;for(e=0,f=g.length;e<f;e++)b=g[e],c.push(b.toString().match(/.*?\{([\w\W]*)\}/m)[1]);f=d.after;for(d=0,e=f.length;d<e;d++)b=f[d],a.push(b.toString().match(/.*?\{([\w\W]*)\}/m)[1]);c.push(";");a.push(";");return{before:c.join(";\n"),after:a.join(";\n")}};
dispatchTreeDownload=function(a,c,b,d){var e;c.addChild(b);db.txn.add(a);e=function(){var c;db.txn.subtract(a);if(db.txn.get(a)===0)return db.txn.remove(a),c=b.getValue(),db.module.getAmd(c)&&db.module.getLoading(c)?db.queue.amd.add(c,d):d()};return db.module.getLoading(b.getValue())===!1?context.setTimeout(function(){return downloadTree(b,e)}):db.queue.file.add(b.getValue(),e)};
loadModules=function(a,c){var b,d,e,f,g,h,j,i;if(a.length===0)context.setTimeout(function(){return c.apply(context,[])});else{g=new treeNode(null);d=db.txn.create();f=0;b=function(){var b,d,e,h,i;b=function(){var b,d,e,f;b=[];for(e=0,f=a.length;e<f;e++)d=a[e],b.push(db.module.getExports(d));return c.apply(context,b)};d=g.postOrder();for(h=0,i=d.length;h<i;h++)e=d[h],e!==null&&(executeFile(e),db.module.getAmd(e)&&db.module.getLoading(e)&&(f++,db.queue.amd.add(e,function(){if(--f===0)return b()})));
if(f===0)return b()};i=[];for(h=0,j=a.length;h<j;h++)e=a[h],e=new treeNode(e),i.push(dispatchTreeDownload(d,g,e,b));return i}};
downloadTree=function(a,c){var b,d,e;e=a.getValue();if(db.module.getRulesApplied()===!1)relativePathRegex.test(e)?(b=userConfig.moduleRoot,a.getParent()&&a.getParent().getValue()&&(b=db.module.getPath(a.getParent().getValue())),applyRules(e,!0,b)):applyRules(e,!0);b=function(){db.module.setLoading(e,!0);return userConfig.xd.inject&&userConfig.xd.xhr?sendToIframe(e,processCallbacks):sendToXhr(e,processCallbacks)};db.queue.file.add(e,function(b,d){var e,j,i,l,k,n;db.module.setFile(b,d);d?(analyzeFile(b,
a),l=db.module.getRequires(b)):l=[];i=function(a,b){return db.module.getAmd(a)&&db.module.getLoading(a)?db.queue.amd.add(a,function(){return context.setTimeout(b)}):context.setTimeout(b)};if(l.length>0){e=db.txn.create();for(k=0,n=l.length;k<n;k++)j=l[k],j=new treeNode(j),dispatchTreeDownload(e,a,j,c);if(db.txn.get(e)===0)return db.txn.remove(e),i(b,c)}else return i(b,c)});if(!db.module.getLoading(e))return(d=db.module.getFile(e))&&d.length>0?processCallbacks(200,e,d):b()};
processCallbacks=function(a,c,b){var d,e,f,g;1*a!==200&&(b=!1,db.module.setFailed(c,!0));db.module.getAmd(c)===!1&&db.module.setLoading(c,!1);d=db.queue.file.get(c);db.queue.file.clear(c);g=[];for(e=0,f=d.length;e<f;e++)a=d[e],g.push(a(c,b));return g};
extractRequires=function(a){var c,b,d,e,f;d=[];e={};b=[];for(a=a.replace(commentRegex,"");c=requireRegex.exec(a);)b.push(c[0].match(requireGreedyCapture)[0]);if((b!=null?b.length:void 0)>0)try{eval(b.join(";"))}catch(g){throw typeof console!=="undefined"&&console!==null&&console.log("Invalid require() syntax found in file: "+b.join(";")),g;}c=[];defineStaticRequireRegex.exec(a)&&(c=defineStaticRequireRegex.exec(a)[2].replace(/\s|"|'|require|exports|module/g,"").split(","));for(b=0,f=c.length;b<f;b++)a=
c[b],e[a]!==!0&&a!==""&&d.push(a),e[a]=!0;return d};analyzeFile=function(a,c){var b,d,e,f,g,h,j;e=extractRequires(db.module.getFile(a));g={};f=[];b=!1;for(d=c;d=d.getParent();)d.getValue()&&(g[d.getValue()]=!0);for(h=0,j=e.length;h<j;h++)d=e[h],g[d]!==!0?f.push(d):(b=!0,db.module.setCircular(d,!0));db.module.setRequires(a,f);return db.module.setCircular(a,b)};
applyRules=function(a,c,b){var d,e,f,g,h,j,i,l,k;g=a;e={before:[],after:[]};i=db.queue.rules.get();for(h=0,j=i.length;h<j;h++)if(f=i[h],d=typeof f.key==="string"?f.key.toLowerCase()===g.toLowerCase():f.key.test(g),d!==!1)g=typeof f.path==="string"?f.path:f.path(g),f!=null&&(l=f.pointcuts)!=null&&l.before&&e.before.push(f.pointcuts.before),f!=null&&(k=f.pointcuts)!=null&&k.after&&e.after.push(f.pointcuts.after);if(g.indexOf("/")!==0)if(typeof userConfig.moduleRoot==="undefined")throw Error("Module Root must be defined");
else typeof userConfig.moduleRoot==="string"?g=""+userConfig.moduleRoot+g:typeof userConfig.moduleRoot==="function"&&(g=userConfig.moduleRoot(g));typeof b==="string"&&(g=basedir(b)+a);fileSuffix.test(g)||(g=""+g+".js");if(c===!0)return db.module.setPath(a,g),db.module.setPointcuts(a,e),db.module.setRulesApplied(a,!0);else if(c===!1)return{path:g,pointcuts:e}};anonDefineStack=[];
executeFile=function(a){var c,b,d,e,f;if(!db.module.getExecuted(a)){db.module.setExecuted(a,!0);anonDefineStack.unshift(a);c=db.module.getRequires(a);for(b=0,f=c.length;b<f;b++)e=c[b],executeFile(e);c=getFormattedPointcuts(a);e=db.module.getPath(a);f=db.module.getFile(a);b=commonJSHeader.replace(/__MODULE_ID__/g,a).replace(/__MODULE_URI__/g,e).replace(/__INJECT_NS__/g,namespace).replace(/__POINTCUT_BEFORE__/g,c.before);c=commonJSFooter.replace(/__INJECT_NS__/g,namespace).replace(/__POINTCUT_AFTER__/g,
c.after);b=[b+"\n",f,";",c,isIE?"":"//@ sourceURL="+e].join("\n");try{d=context.eval(b)}catch(g){throw db.module.getPath(a),a="(inject module eval) "+g.message+"\n    in "+e,a=Error(a),a.name=g.name,a.type=g.type,a.origin=g,a;}return db.module.setExports(d.id,d.exports)}};sendToXhr=function(a,c){var b,d;b=db.module.getPath(a);d=getXHR();d.open("GET",b);d.onreadystatechange=function(){if(d.readyState===4)return c.call(context,d.status,a,d.responseText)};return d.send(null)};
sendToIframe=function(a){var c;c=db.module.getPath(a);return xDomainRpc.postMessage(""+a+" "+c)};getFunctionArgs=function(a){a=a.toString().match(functionRegex)[1].replace(functionNewlineRegex,"").replace(functionSpaceRegex,"").split(",");return a.length===1&&!a[0]?[]:a};
getXHR=function(){var a;a=!1;if(typeof XMLHttpRequest!=="undefined")try{a=new XMLHttpRequest}catch(c){a=!1}if(!a&&typeof window.createRequest!=="undefined")try{a=new window.createRequest}catch(b){a=!1}if(!a)try{a=new ActiveXObject("Msxml2.XMLHTTP")}catch(d){try{a=new ActiveXObject("Microsoft.XMLHTTP")}catch(e){a=!1}}if(!a)throw Error("Could not create an xmlHttpRequest Object");return a};initializeExports=function(a){if(db.module.getExports(a)===!1)return db.module.setExports(a,{__inject_circular__:!0})};
createModule=function(a,c,b){var d;d={};d.id=a||null;d.uri=c||null;d.exports=b||db.module.getExports(a)||{};d.setExports=function(a){var b;for(b=d.exports.length;0<b;)throw Error("cannot setExports when exports have already been set");d.exports=a;return d.exports};return d};basedir=function(a){a.lastIndexOf("/")!==-1&&(a=a.substring(0,a.lastIndexOf("/")+1));return a};
require=function(a,c){var b,d,e,f;c==null&&(c=function(){});if(Object.prototype.toString.call(a)==="[object Array]"){d=[];for(e=0,f=a.length;e<f;e++)b=a[e],b!=="require"&&b!=="exports"&&b!=="module"&&d.push(b);require.ensure(d,function(b,d,e){var f,l,k,n;f=[];for(k=0,n=a.length;k<n;k++)switch(l=a[k],l){case "require":f.push(b);break;case "exports":f.push(e);break;case "module":f.push(d);break;default:f.push(b(l))}return c.apply(context,f)})}else{b=db.module.getExports(a);d=db.module.getCircular(a);
if(b===!1&&d===!1)throw Error(""+a+" not loaded");d===!0&&(initializeExports(a),b=db.module.getExports(a));return b}};require.run=function(a){return db.module.getFile(a)===!1?require.ensure([a],function(){}):(db.module.setExports(a,null),executeFile(a))};
require.ensure=function(a,c){var b,d;userConfig.xd.xhr!=null&&!xDomainRpc&&!pauseRequired&&(createIframe(),pauseRequired=!0);b=function(){var a;a=createModule();return c.call(context,Inject.require,a,a.exports)};d=function(){return loadModules(a,b)};return pauseRequired?db.queue.load.add(d):d()};
require.setModuleRoot=function(a){typeof a==="string"&&a.lastIndexOf("/")!==a.length&&(a=""+a+"/");typeof a==="string"&&(a.indexOf("/")===0?a=""+location.protocol+"//"+location.host+a:a.indexOf(".")===0&&(a=""+location.protocol+"//"+location.host+"/"+a));return userConfig.moduleRoot=a};require.setExpires=function(a){return userConfig.fileExpires=a};require.setCrossDomain=function(a,c){userConfig.xd.inject=a;return userConfig.xd.xhr=c};require.clearCache=function(a){return clearFileRegistry(a)};
require.manifest=function(a){var c,b,d;d=[];for(c in a)__hasProp.call(a,c)&&(b=a[c],b={path:b.path||b||null,pointcuts:{before:b.before||null,after:b.after||null}},d.push(require.addRule(c,b)));return d};require.addRule=function(a,c,b){c==null&&(c=null);b==null&&(b=null);b===null&&(b=c,c=db.queue.rules.size());typeof b==="string"&&(b={path:b});return db.queue.rules.add({key:a,weight:c,pointcuts:b.pointcuts||null,path:b.path||null})};require.toUrl=function(a){return applyRules(a,!1).path};
define=function(a,c,b){var d,e,f,g,h,j,i;typeof a!=="string"&&(b=c,c=a,a=db.queue.define.peek());g=createModule(a);Object.prototype.toString.call(c)!=="[object Array]"&&(b=c,c=["require","exports","module"]);db.module.setAmd(a,!0);db.module.setLoading(a,!0);e=db.module.getRequires(a);d=function(){var d,e,f,h,i;if(typeof b==="function"){e=[];for(h=0,i=c.length;h<i;h++)switch(f=c[h],f){case "require":e.push(Inject.require);break;case "exports":e.push(g.exports);break;case "module":e.push(g);break;default:e.push(require(f))}f=
b.apply(context,e);e=!1;if(typeof g.exports==="function")e=!0;else for(d in h=g.exports,h)if(__hasProp.call(h,d)){e=!0;break}e===!1&&g.setExports(f)}else g.setExports(b);db.module.setExports(a,g.exports);db.module.setLoading(a,!1);e=db.queue.amd.get(a);for(f=0,h=e.length;f<h;f++)d=e[f],d();return db.queue.amd.clear(a)};h=0;for(j=0,i=e.length;j<i;j++)f=e[j],db.module.getAmd(f)&&db.module.getLoading(f)&&(h++,db.queue.amd.add(f,function(){if(--h===0)return d()}));return loadModules(e,d)};
define.amd={jQuery:!0};context.require=require;context.define=define;context.Inject={defineAs:function(a){return db.queue.define.add(a)},undefineAs:function(){return db.queue.define.remove()},createModule:createModule,setModuleExports:function(a,c){return db.module.setExports(a,c)},require:require,define:define,reset:reset,debug:function(){return typeof console!=="undefined"&&console!==null?console.dir(_db):void 0}};context.require.ensure=require.ensure;context.require.setModuleRoot=require.setModuleRoot;
context.require.setExpires=require.setExpires;context.require.setCrossDomain=require.setCrossDomain;context.require.clearCache=require.clearCache;context.require.manifest=require.manifest;context.require.run=require.run;}).call(this)
